"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunk3A7JRF3Vcjs = require('./chunk-3A7JRF3V.cjs');



var _chunkQVN3W7WKcjs = require('./chunk-QVN3W7WK.cjs');







var _chunkIDBXAXLGcjs = require('./chunk-IDBXAXLG.cjs');


var _chunkTNS27NHRcjs = require('./chunk-TNS27NHR.cjs');

// src/common/log/log-context.ts
function LoggerContext(_prefix = "") {
  let logHandlers = [_chunk3A7JRF3Vcjs.LoggerConsoleHandler.call(void 0, )];
  let logCheckNamespace = (_name) => true;
  let logLock = false;
  let logFactory = LoggerBaseFactory;
  let logDebug = false;
  function LoggerBaseFactory(name = "", level) {
    const logLevel = _chunkQVN3W7WKcjs.parseLogLevel.call(void 0, _nullishCoalesce(level, () => ( _chunkIDBXAXLGcjs.LogLevelAll)));
    function defineForLogLevel(fnLevel, fn) {
      if (logLevel <= fnLevel)
        return fn;
      return () => {
      };
    }
    const emit = (msg) => {
      if (logCheckNamespace(name)) {
        for (const handler of logHandlers) {
          if (handler)
            handler(msg);
        }
      }
    };
    const log = defineForLogLevel(_chunkIDBXAXLGcjs.LogLevelDebug, (...messages) => {
      emit({ name, messages, level: _chunkIDBXAXLGcjs.LogLevelDebug });
    });
    log.label = name;
    log.extend = function(prefix) {
      return logFactory(name ? `${name}:${prefix}` : prefix);
    };
    log.debug = defineForLogLevel(_chunkIDBXAXLGcjs.LogLevelDebug, (...messages) => {
      emit({ name, messages, level: _chunkIDBXAXLGcjs.LogLevelDebug });
    });
    log.info = defineForLogLevel(_chunkIDBXAXLGcjs.LogLevelInfo, (...messages) => {
      emit({ name, messages, level: _chunkIDBXAXLGcjs.LogLevelInfo });
    });
    log.warn = defineForLogLevel(_chunkIDBXAXLGcjs.LogLevelWarn, (...messages) => {
      emit({ name, messages, level: _chunkIDBXAXLGcjs.LogLevelWarn });
    });
    log.error = defineForLogLevel(_chunkIDBXAXLGcjs.LogLevelError, (...messages) => {
      emit({ name, messages, level: _chunkIDBXAXLGcjs.LogLevelError });
    });
    log.fatal = defineForLogLevel(_chunkIDBXAXLGcjs.LogLevelFatal, (...messages) => {
      emit({ name, messages, level: _chunkIDBXAXLGcjs.LogLevelFatal });
      throw new Error(`${messages.map(String).join(" ")}`);
    });
    log.assert = defineForLogLevel(_chunkIDBXAXLGcjs.LogLevelFatal, (condition, ...args) => {
      if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
        log.fatal(...args);
    });
    return log;
  }
  function Logger(name = "", level) {
    const log = logFactory(name, level);
    if (logDebug)
      log.debug(`+++ init of logger "${name}" on level "${log.level}".`);
    return log;
  }
  Logger.registerHandler = function(handler) {
    logHandlers.push(handler);
  };
  Logger.setFilter = function(namespaces) {
    logCheckNamespace = _chunkQVN3W7WKcjs.useNamespaceFilter.call(void 0, namespaces);
  };
  Logger.setLock = (lock = true) => logLock = lock;
  Logger.setDebug = (debug = true) => logDebug = debug;
  Logger.setHandlers = (handlers) => {
    if (logFactory !== LoggerBaseFactory)
      logFactory = LoggerBaseFactory;
    if (handlers != null && !logLock)
      logHandlers = [...handlers].filter(_chunkTNS27NHRcjs.isNotNull);
  };
  Logger.level = _chunkIDBXAXLGcjs.LogLevelAll;
  Logger.setLogLevel = function(level = _chunkIDBXAXLGcjs.LogLevelAll) {
    if (logLock)
      return;
    Logger.level = level;
  };
  Logger.setFactory = function(factory) {
    if (logLock)
      return;
    logFactory = factory;
  };
  return Logger;
}



exports.LoggerContext = LoggerContext;
//# sourceMappingURL=chunk-22V6S5TF.cjs.map