"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }





var _chunkTNS27NHRcjs = require('./chunk-TNS27NHR.cjs');

// src/common/data/object.ts
function objectMap(obj, fn) {
  if (!_chunkTNS27NHRcjs.isObject.call(void 0, obj))
    return {};
  return Object.fromEntries(
    Object.entries(obj).map(([k, v]) => {
      const r = fn(k, v);
      if (_chunkTNS27NHRcjs.isArray.call(void 0, r) && r.length === 2)
        return r;
      return [k, r];
    }).filter((v) => v != null)
  );
}
function objectMergeDisposable(a, b) {
  if (b.dispose && a.dispose) {
    b.dispose.add(a.dispose);
  }
  return Object.assign(a, b);
}
function objectIsEmpty(obj) {
  return Object.keys(obj).length <= 0;
}
function objectPick(obj, ...keys) {
  return Object.fromEntries(keys.filter((key) => key in obj).map((key) => [key, obj[key]]));
}
function objectInclusivePick(obj, ...keys) {
  return Object.fromEntries(keys.map((key) => [key, obj[key]]));
}
function objectOmit(obj, ...keys) {
  return Object.fromEntries(Object.entries(obj).filter(([key]) => !keys.includes(key)));
}
function objectPlain(obj, opt) {
  const {
    maxDepth = 99,
    circleValue,
    maxDepthValue,
    errorTrace = true,
    filter = () => true,
    keepAsIs = () => false
  } = _nullishCoalesce(opt, () => ( {}));
  const cycle = [];
  function handleObject(obj2, depth) {
    if (depth > maxDepth)
      return maxDepthValue;
    if (keepAsIs(obj2))
      return obj2;
    if (_chunkTNS27NHRcjs.isSymbol.call(void 0, obj2))
      return String(obj2);
    if (_chunkTNS27NHRcjs.isPrimitive.call(void 0, obj2))
      return obj2;
    if (cycle.includes(obj2))
      return circleValue;
    cycle.push(obj2);
    if (obj2 instanceof Date)
      return obj2.toISOString();
    if (obj2 instanceof RegExp)
      return obj2.toString();
    if (obj2 instanceof Map)
      obj2 = Object.fromEntries(obj2);
    if (obj2 instanceof Set || _chunkTNS27NHRcjs.isBinaryArray.call(void 0, obj2))
      obj2 = Array.from(obj2);
    if (obj2 instanceof Error)
      return `${obj2.name || "Error"}: ${obj2.message}${errorTrace ? `
${obj2.stack}` : ""}`;
    if (Array.isArray(obj2)) {
      return obj2.filter(filter).map((o) => handleObject(o, depth + 1));
    }
    const nobj = {};
    for (const key in obj2) {
      const value = obj2[key];
      if (filter(value))
        nobj[key] = handleObject(value, depth + 1);
    }
    return nobj;
  }
  return handleObject(obj, 0);
}









exports.objectMap = objectMap; exports.objectMergeDisposable = objectMergeDisposable; exports.objectIsEmpty = objectIsEmpty; exports.objectPick = objectPick; exports.objectInclusivePick = objectInclusivePick; exports.objectOmit = objectOmit; exports.objectPlain = objectPlain;
//# sourceMappingURL=chunk-7WFR6WZW.cjs.map