"use strict";

var _chunkYKTO25DIcjs = require('../../chunk-YKTO25DI.cjs');
require('../../chunk-SDJIWERF.cjs');
require('../../chunk-WOIHL7JG.cjs');
require('../../chunk-5IO67A47.cjs');
require('../../chunk-62FVEJL6.cjs');
require('../../chunk-CW42KS5Q.cjs');
require('../../chunk-4F5Y2K6L.cjs');
require('../../chunk-MAMTL4U4.cjs');
require('../../chunk-QLGR2XSS.cjs');
require('../../chunk-NCUMC5XM.cjs');
require('../../chunk-QZHRO76T.cjs');
require('../../chunk-LTKDKMSI.cjs');
require('../../chunk-7XEJNHPH.cjs');
require('../../chunk-FOARFXFK.cjs');
require('../../chunk-4B2XCWGL.cjs');
require('../../chunk-KMH5WX63.cjs');
require('../../chunk-BLJJRVS7.cjs');
require('../../chunk-22V6S5TF.cjs');
require('../../chunk-3A7JRF3V.cjs');
require('../../chunk-5CIFX7O6.cjs');
require('../../chunk-BBX7CCGY.cjs');
require('../../chunk-QVN3W7WK.cjs');
require('../../chunk-IDBXAXLG.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-BYQJFFEL.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7WFR6WZW.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-USVMO7UT.cjs');
require('../../chunk-TNS27NHR.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-HMHMDCOK.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-UXNJ5WZM.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-QU2LM4AI.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/exec/progress.spec.ts
describe("progress.spec", () => {
  it("should track progress", async () => {
    const p = new (0, _chunkYKTO25DIcjs.Progress)({
      name: "root",
      totalUnits: 10
    });
    expect(p.getFraction()).toBe(0);
    p.incCompletedUnits();
    expect(p.getTotalUnits()).toBe(10);
    expect(p.getCompletedUnits()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    const pp = new (0, _chunkYKTO25DIcjs.Progress)();
    p.addChild(pp);
    expect(p.getChildrenCount()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    pp.setTotalUnits(10);
    expect(p.getFraction()).toBe(0.05);
    pp.incCompletedUnits(5);
    expect(p.getTotalUnits()).toBe(20);
    expect(p.getCompletedUnits()).toBe(6);
    expect(p.getFraction()).toBe(0.3);
    expect(p.toString()).toMatchInlineSnapshot(`
      "root: 1 of 10 units, 30 %, cancel=false
        progress-0: 5 of 10 units, 50 %, cancel=false"
    `);
    expect(pp.isFinished()).toBe(false);
    expect(p.getChildrenCount()).toBe(1);
    await pp.dispose();
    expect(p.getChildrenCount()).toBe(0);
    expect(pp.isFinished()).toBe(true);
    expect(p.getTotalUnits()).toBe(10);
    expect(p.getCompletedUnits()).toBe(1);
    expect(p.getFraction()).toBe(0.1);
    expect(p.isFinished()).toBe(false);
    p.setCompletetedUnits(10);
    expect(p.getFraction()).toBe(1);
    expect(p.isFinished()).toBe(true);
  });
  it("should cancel and auto reset", async () => {
    const p = new (0, _chunkYKTO25DIcjs.Progress)({
      totalUnits: 10
    });
    expect(p.isCancelled()).toBe(false);
    await p.cancel();
    expect(p.isCancelled()).toBe(true);
    p.incCompletedUnits(10);
    expect(p.isFinished()).toBe(true);
    expect(p.isCancelled()).toBe(false);
  });
});
//# sourceMappingURL=progress.spec.cjs.map