"use strict";





var _chunkQVN3W7WKcjs = require('../../chunk-QVN3W7WK.cjs');







var _chunkIDBXAXLGcjs = require('../../chunk-IDBXAXLG.cjs');
require('../../chunk-CXBBK7CI.cjs');
require('../../chunk-R7WMTFSS.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-XWE2OTGL.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-GU6AYGWK.cjs');
require('../../chunk-RKOTNV3K.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-7WFR6WZW.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-USVMO7UT.cjs');
require('../../chunk-TNS27NHR.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-HMHMDCOK.cjs');
require('../../chunk-3SM3C7HY.cjs');
require('../../chunk-UXNJ5WZM.cjs');
require('../../chunk-QYCE2TUJ.cjs');
require('../../chunk-ANZPWIO4.cjs');
require('../../chunk-CEXYDYSH.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-XDY4SRCL.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');
require('../../chunk-QU2LM4AI.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-66YRDFQP.cjs');
require('../../chunk-7FPSHSSO.cjs');

// src/common/log/log-filter.spec.ts
describe("log-filter", () => {
  it("should match", () => {
    {
      const matches = _chunkQVN3W7WKcjs.useNamespaceFilter.call(void 0, "a");
      expect(matches.filter).toBe("a");
      expect(matches.accept).toEqual([/^a/]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(false);
    }
    {
      const matches = _chunkQVN3W7WKcjs.useNamespaceFilter.call(void 0, "a*");
      expect(matches.filter).toBe("a*");
      expect(matches.accept).toEqual([/^a.*?/]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(false);
    }
    {
      const matches = _chunkQVN3W7WKcjs.useNamespaceFilter.call(void 0, "a*,b*,-c*");
      expect(matches.filter).toBe("a*,b*,-c*");
      expect(matches.accept).toEqual([/^a.*?/, /^b.*?/]);
      expect(matches.reject).toEqual([/^c.*?/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkQVN3W7WKcjs.useNamespaceFilter.call(void 0, "*,-c*");
      expect(matches.filter).toBe("*,-c*");
      expect(matches.accept).toEqual([/^.*?/]);
      expect(matches.reject).toEqual([/^c.*?/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkQVN3W7WKcjs.useNamespaceFilter.call(void 0, "*,-c");
      expect(matches.filter).toBe("*,-c");
      expect(matches.accept).toEqual([/^.*?/]);
      expect(matches.reject).toEqual([/^c/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkQVN3W7WKcjs.useNamespaceFilter.call(void 0, "*");
      expect(matches.filter).toBe("*");
      expect(matches.accept).toEqual([]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("b:c")).toBe(true);
    }
  });
  it("should interprete filter right", () => {
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, "")).toEqual("");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, 0)).toEqual("");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, false)).toEqual("");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, "false")).toEqual("");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, null)).toEqual("");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, "*")).toEqual("*");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, 1)).toEqual("*");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, true)).toEqual("*");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, "true")).toEqual("*");
    expect(_chunkQVN3W7WKcjs.getNamespaceFilterString.call(void 0, "a:b")).toEqual("a:b");
  });
  it("should filter by level", () => {
    {
      const levelFilter = _chunkQVN3W7WKcjs.useLevelFilter.call(void 0, "err");
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelDebug)).toBe(false);
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelWarn)).toBe(false);
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelError)).toBe(true);
    }
    {
      const levelFilter = _chunkQVN3W7WKcjs.useLevelFilter.call(void 0, "adfdfds");
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelDebug)).toBe(true);
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelWarn)).toBe(true);
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelError)).toBe(true);
    }
    {
      const levelFilter = _chunkQVN3W7WKcjs.useLevelFilter.call(void 0, _chunkIDBXAXLGcjs.LogLevelWarn);
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelDebug)).toBe(false);
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelWarn)).toBe(true);
      expect(levelFilter(_chunkIDBXAXLGcjs.LogLevelError)).toBe(true);
    }
  });
  it("should identify log level", () => {
    expect(_chunkQVN3W7WKcjs.parseLogLevel.call(void 0, false)).toEqual(_chunkIDBXAXLGcjs.LogLevelOff);
    expect(_chunkQVN3W7WKcjs.parseLogLevel.call(void 0, "info")).toEqual(_chunkIDBXAXLGcjs.LogLevelInfo);
    expect(_chunkQVN3W7WKcjs.parseLogLevel.call(void 0, _chunkIDBXAXLGcjs.LogLevelError)).toEqual(_chunkIDBXAXLGcjs.LogLevelError);
    expect(_chunkQVN3W7WKcjs.parseLogLevel.call(void 0, true)).toEqual(_chunkIDBXAXLGcjs.LogLevelAll);
    expect(_chunkQVN3W7WKcjs.parseLogLevel.call(void 0, 2)).toEqual(_chunkIDBXAXLGcjs.LogLevelWarn);
  });
  it("should join strings", () => {
    expect(_chunkQVN3W7WKcjs.joinLogStrings.call(void 0, "test")).toEqual(["test"]);
    expect(_chunkQVN3W7WKcjs.joinLogStrings.call(void 0, "test", "more", 1, 2, 3)).toEqual(["test more", 1, 2, 3]);
    expect(_chunkQVN3W7WKcjs.joinLogStrings.call(void 0, "test", { a: 1 })).toEqual(["test", { a: 1 }]);
    expect(_chunkQVN3W7WKcjs.joinLogStrings.call(void 0, "test", "a", "b", true, void 0, null, { a: 1 })).toEqual(["test a", "b", true, void 0, null, { a: 1 }]);
  });
});
//# sourceMappingURL=log-filter.spec.cjs.map