"use strict";



var _chunkJLLREIGAcjs = require('../chunk-JLLREIGA.cjs');
require('../chunk-TZOPYZVR.cjs');
require('../chunk-MXAQXFOM.cjs');
require('../chunk-IB5IYYW3.cjs');
require('../chunk-Q2SNIYQS.cjs');
require('../chunk-EEVZF2QK.cjs');
require('../chunk-2JFLLJCX.cjs');
require('../chunk-INPXH7MS.cjs');
require('../chunk-7GW3ENUZ.cjs');
require('../chunk-X23ZSPZC.cjs');
require('../chunk-2UTQQDPY.cjs');
require('../chunk-SFUIGVPA.cjs');
require('../chunk-MJ7L4G3V.cjs');
require('../chunk-4ADDOU7L.cjs');
require('../chunk-LKES6YKV.cjs');
require('../chunk-3TNVJY4F.cjs');
require('../chunk-WPWV7ZEM.cjs');
require('../chunk-H6AB4FMJ.cjs');
require('../chunk-CWEIXFSU.cjs');
require('../chunk-Y6CRN6RB.cjs');
require('../chunk-YKTO25DI.cjs');
require('../chunk-SDJIWERF.cjs');
require('../chunk-WOIHL7JG.cjs');
require('../chunk-5IO67A47.cjs');
require('../chunk-62FVEJL6.cjs');
require('../chunk-CW42KS5Q.cjs');
require('../chunk-4F5Y2K6L.cjs');
require('../chunk-MAMTL4U4.cjs');
require('../chunk-QLGR2XSS.cjs');
require('../chunk-NCUMC5XM.cjs');
require('../chunk-QZHRO76T.cjs');
require('../chunk-LTKDKMSI.cjs');
require('../chunk-7XEJNHPH.cjs');
require('../chunk-FOARFXFK.cjs');
require('../chunk-4B2XCWGL.cjs');
require('../chunk-KMH5WX63.cjs');
require('../chunk-BLJJRVS7.cjs');
require('../chunk-22V6S5TF.cjs');
require('../chunk-3A7JRF3V.cjs');
require('../chunk-5CIFX7O6.cjs');
require('../chunk-BBX7CCGY.cjs');
require('../chunk-QVN3W7WK.cjs');
require('../chunk-IDBXAXLG.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-BYQJFFEL.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-CXBBK7CI.cjs');
require('../chunk-R7WMTFSS.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-XWE2OTGL.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-GU6AYGWK.cjs');
require('../chunk-RKOTNV3K.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-7WFR6WZW.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-USVMO7UT.cjs');
require('../chunk-TNS27NHR.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-HMHMDCOK.cjs');
require('../chunk-3SM3C7HY.cjs');
require('../chunk-UXNJ5WZM.cjs');
require('../chunk-QYCE2TUJ.cjs');
require('../chunk-ANZPWIO4.cjs');
require('../chunk-CEXYDYSH.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-XDY4SRCL.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-QU2LM4AI.cjs');
require('../chunk-BMRI2X66.cjs');
require('../chunk-66YRDFQP.cjs');
require('../chunk-7FPSHSSO.cjs');

// src/node/files-async.spec.ts
describe("getStatAsync", () => {
  it("should return the stat object for a valid path", async () => {
    const path = __filename;
    const statObject = await _chunkJLLREIGAcjs.getStatAsync.call(void 0, path);
    expect(statObject).toBeDefined();
    expect(statObject.isFile()).toBe(true);
  });
  it("should return undefined for an invalid path", async () => {
    const path = "/invalid/path";
    const statObject = await _chunkJLLREIGAcjs.getStatAsync.call(void 0, path);
    expect(statObject).toBeUndefined();
  });
  it("should return the fingerprint for a valid path", async () => {
    const path = __filename;
    const fingerprint = await _chunkJLLREIGAcjs.getFingerprintAsync.call(void 0, path);
    expect(fingerprint).toBeDefined();
    expect(typeof fingerprint).toBe("string");
  });
  it("should return undefined for an invalid path 2", async () => {
    const path = "/invalid/path";
    const fingerprint = await _chunkJLLREIGAcjs.getFingerprintAsync.call(void 0, path);
    expect(fingerprint).toBeUndefined();
  });
  it("should return an array of file paths", async () => {
    const paths = await _chunkJLLREIGAcjs.filesAsync.call(void 0, { basePath: __dirname });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
  });
  it("should return an array of file paths matching the pattern", async () => {
    const pattern = "*.ts";
    const paths = await _chunkJLLREIGAcjs.filesAsync.call(void 0, { basePath: __dirname, pattern });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
    expect(paths.every((path) => path.endsWith(".ts"))).toBe(true);
  });
  it("should return an empty array if no files match the pattern", async () => {
    const pattern = "*.docx";
    const paths = await _chunkJLLREIGAcjs.filesAsync.call(void 0, { basePath: __dirname, pattern });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBe(0);
  });
  it("should return an array of file paths filtered by the custom filter function", async () => {
    const filter = (name) => name.includes("spec");
    const paths = await _chunkJLLREIGAcjs.filesAsync.call(void 0, { basePath: __dirname, filter });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBeGreaterThan(0);
    expect(typeof paths[0]).toBe("string");
    expect(paths.every((path) => path.includes("spec"))).toBe(true);
  });
  it("should return an empty array if no files pass the custom filter function", async () => {
    const filter = (name) => name.includes("xyz");
    const paths = await _chunkJLLREIGAcjs.filesAsync.call(void 0, { basePath: __dirname, filter });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.length).toBe(0);
  });
  it("should ignore hidden files by default", async () => {
    const paths = await _chunkJLLREIGAcjs.filesAsync.call(void 0, { basePath: __dirname });
    expect(Array.isArray(paths)).toBe(true);
    expect(paths.every((path) => !path.includes("/."))).toBe(true);
  });
});
//# sourceMappingURL=files-async.spec.cjs.map